# Retrieve the population statistics of a funnel and its funnel stages

Retrieve the population history of a funnel. The history is returned per day and those days are calculated in the timezone of the audience.

Endpoint: GET /audiences/{audienceId}/funnels/{funnelId}/statistics
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `audienceId` (integer, required)
    Audience ID of the funnel

  - `funnelId` (integer, required)
    ID of funnel to return

## Query parameters:

  - `from` (string)
    from date

  - `to` (string)
    to date (inclusive)

  - `limit` (integer)
    number of days to fetch funnel statistics

## Response 200 fields (application/json):

  - `population` (integer)
    the latest population of the funnel

  - `stages` (array)

  - `stages.id` (integer)
    funnel stage id

  - `stages.history` (array)

## Response 400 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 401 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 403 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 404 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 4XX fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 5XX fields (application/json):

  - `status` (integer, required)
    Error status

  - `error` (string, required)
    Error message

  - `details` (string)
    Detailed error message

